Package org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class PatternGroupClassInferrer

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.PatternGroupClassInferrer

-     public class PatternGroupClassInferrer
      extends java.lang.Object

  Model Inferrer for Pattern grouping. Infers a Group class for every PatternModel.
  No Reference:

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternGroupClassInferrer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.common.types.JvmConstructor` | `inferConstructor​(PatternModel model, org.eclipse.xtext.common.types.JvmType groupClass, boolean includePrivate)` |
    `org.eclipse.xtext.common.types.JvmField` | `inferInstanceField​(PatternModel model, org.eclipse.xtext.common.types.JvmType groupClass)` |
    `org.eclipse.xtext.common.types.JvmOperation` | `inferInstanceMethod​(PatternModel model, org.eclipse.xtext.common.types.JvmType groupClass)` |
    `org.eclipse.xtext.common.types.JvmOperation` | `inferMatcherGetter​(Pattern model, org.eclipse.xtext.common.types.JvmType groupClass, org.eclipse.xtext.common.types.JvmType matcherClass)` |
    `org.eclipse.xtext.common.types.JvmGenericType` | `inferPatternGroupClass​(PatternModel model, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder, EMFPatternLanguageGeneratorConfig config, boolean includePrivate)` |
    `org.eclipse.xtext.common.types.JvmOperation` | `inferSpecificationGetter​(Pattern model, org.eclipse.xtext.common.types.JvmType groupClass, org.eclipse.xtext.common.types.JvmType specificationClass)` |
    `void` | `initializePatternGroup​(org.eclipse.xtext.common.types.JvmGenericType groupClass, PatternModel model, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder, EMFPatternLanguageGeneratorConfig config, boolean includePrivate)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternGroupClassInferrer

          public PatternGroupClassInferrer()

  - ### Method Detail

    - #### inferPatternGroupClass

          public org.eclipse.xtext.common.types.JvmGenericType inferPatternGroupClass​(PatternModel model,
                                                                                      org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder,
                                                                                      EMFPatternLanguageGeneratorConfig config,
                                                                                      boolean includePrivate)

    - #### initializePatternGroup

          public void initializePatternGroup​(org.eclipse.xtext.common.types.JvmGenericType groupClass,
                                             PatternModel model,
                                             org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder,
                                             EMFPatternLanguageGeneratorConfig config,
                                             boolean includePrivate)

    - #### inferInstanceField

          public org.eclipse.xtext.common.types.JvmField inferInstanceField​(PatternModel model,
                                                                            org.eclipse.xtext.common.types.JvmType groupClass)

    - #### inferInstanceMethod

          public org.eclipse.xtext.common.types.JvmOperation inferInstanceMethod​(PatternModel model,
                                                                                 org.eclipse.xtext.common.types.JvmType groupClass)

    - #### inferConstructor

          public org.eclipse.xtext.common.types.JvmConstructor inferConstructor​(PatternModel model,
                                                                                org.eclipse.xtext.common.types.JvmType groupClass,
                                                                                boolean includePrivate)

    - #### inferSpecificationGetter

          public org.eclipse.xtext.common.types.JvmOperation inferSpecificationGetter​(Pattern model,
                                                                                      org.eclipse.xtext.common.types.JvmType groupClass,
                                                                                      org.eclipse.xtext.common.types.JvmType specificationClass)

    - #### inferMatcherGetter

          public org.eclipse.xtext.common.types.JvmOperation inferMatcherGetter​(Pattern model,
                                                                                org.eclipse.xtext.common.types.JvmType groupClass,
                                                                                org.eclipse.xtext.common.types.JvmType matcherClass)